varying float depth, height;
varying vec2 TexCoord;
uniform float GroupID;

uniform sampler2D DiffuseMap;

void main()
{
    if (height > 0.0)
  		discard;
	else
		gl_FragColor = vec4(depth, GroupID / 3.0, 0.0, texture2D(DiffuseMap, TexCoord).a);
}
